# Generated from RCP_Network-0.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name RCP_Network

Name: rubygem-%{gem_name}
Version: 0.2.5
Release: 1%{?dist}
Summary: Current Demo RCP Network Subroutine is predicting whether dangling modifiers will be generated or chosen at random
License: MIT
URL: https://github.com/LWFlouisa/RCP_Network-Example-Script/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
RCP Network stands for a neural network that uses decision tree for
prediction, struct_rand for generating new data, and readlines and espeak for
orating dangling modifiers at random for intentional unintentional humor. This
model will be expanded to other reasoning models, like generating small
amounts of dictionary data from Duck Duck Go. You can write this Saasagi
subroutine automatically through .prewrite. Instructions coming soon.
Igrigork: https://github.com/igrigorik/decisiontree
Dejan: https://github.com/dejan/espeak-ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/RCP_Network.gemspec
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.5-1
- Initial package
